How to extrude a surface on both direction (Rhino Common)?

Hello, I have a curve close to a Brep surface (but not on). How do I extrude the curve to a surface on both direction of the Brep normal? I have tried to offset the extruded surface, converted the extruded surface to a NurbsSurface, but the surface is still on one side of the Brep

1 Like

Hello Ming Ma Usa,

Please post the file if you can or similar.

Thank you,

Andy

surface-extrude0.3dm (890.7 KB)
surface-extrude1.3dm (964.7 KB)
Hi, Andy,
Files attached. surface-extrude0.3dm is the original geometry. surface-extrude1.3dm is the extruded geometry. Below is my code snippet. Thanks!
Surface sf = Surface.CreateExtrusion(crv, brepNormal);
if (sf.HasNurbsForm() == 1)
{
//sf.Extend(IsoStatus.X, 100 * TOL, true);
//sf.Extend(IsoStatus.Y, 100 * TOL, true);
//sf.Extend(IsoStatus.North, 100 * TOL, true);
//sf.Extend(IsoStatus.South, 100 * TOL, true);
//sf.Extend(IsoStatus.East, 100 * TOL, true);
//sf.Extend(IsoStatus.West, 100 * TOL, true);
NurbsSurface nbsf = sf.ToNurbsSurface();
Brep myStfExtrudeBrep = nbsf.ToBrep();
dictCuttingBreps.Add(stiffener, myStfExtrudeBrep);
Rhino.RhinoDoc.ActiveDoc.Objects.Add(myStfExtrudeBrep);
}

Hello Ming Ma,

When you run the command to extrude the curve check to see if in the command line it says: BothSides=Yes
If it instead reads: BothSides=No
Click on the underscore to change it to : =Yes

Is that what you want ?

Thank you,

Andy

Hi, Andy,
I want to do it using Rhino Common functions, not through GUI. Thanks!
Ming

Hi @ming.ma.usa ,
Move your crv in direction of crv plane’s ZAxis vector for extrude/2 amount.
Then extrude such moved crv.

Thanks, That works!

1 Like